Subject: Re: bug#22929: 25.1.50; package-load-packages hangs forever

From: Josh Wasserstein <[email-masked]>
Date: Mon, 07 Mar 2016 20:21:48 +0000

I am having the exact same problem here after installing with

> brew install emacs --HEAD  --with-cocoa --with-gnutls  --with-librsvg
--with-imagemagick

in OS X.

Josh

On Sun, Mar 6, 2016 at 7:31 PM Eric Hanchrow <[email-masked]>
wrote:

> I put this into /tmp/repro.el:
>
>     (toggle-debug-on-error t)
>     (package-initialize)
>     (let ((scheme "https://"))
>       (setq package-archives
>             `(("gnu" . ,(format "%selpa.gnu.org/packages/" scheme))
>
>               ;; More secure; suggested by
> https://glyph.twistedmatrix.com/2015/11/editor-malware.html
>               ("melpa" . ,(format "%smelpa.org/packages/" scheme))
>
>               ;;
> http://blog.jorgenschaefer.de/2014/03/elpy-moves-to-its-own-elpa.html
>               ("elpy" . ,(format "%sjorgenschaefer.github.io/packages/"
> scheme)))
>
>             tls-checktrust t
>             ))
>     (package-list-packages)
>
> Then I started emacs with `open --new
> ~/git-repositories/3rd-party/emacs-master/nextstep/Emacs.app --args -Q
> --load /tmp/repro.el`
>
> I saw the *Packages* buffer appear, but the mode line said (Package
> Menu:Loading), and stayed that way for many minutes; I expected it to
> eventually change to (Package Menu).
>
> I then did M-x list-processes and saw
>
>     elpa.gnu.org    failed   *http elpa.... --           (network
> connection to elpa.gnu.org)
>     jorgenschaef... failed   *http jorge... --           (network
> connection to jorgenschaefer.github.io)
>     melpa.org       failed   *http melpa... --           (network
> connection to melpa.org)
>
>
>
>
>
> In GNU Emacs 25.1.50.1 (x86_64-apple-darwin15.3.0, NS appkit-1404.34
> Version 10.11.3 (Build 15D21))
>  of 2016-03-06 built on Eric-Hanchrows-MacBook-Pro.local
> Repository revision: 7882dc625e1ec562fcd0e1b743ef11b160cae18e
> Windowing system distributor 'Apple', version 10.3.1404
> Configured features:
> JPEG RSVG NOTIFY ACL GNUTLS LIBXML2 ZLIB TOOLKIT_SCROLL_BARS NS
>
> Important settings:
>   value of $LANG: en_US.UTF-8
>   locale-coding-system: utf-8-unix
>
> Major mode: Package Menu
>
> Minor modes in effect:
>   tooltip-mode: t
>   global-eldoc-mode: t
>   electric-indent-mode: t
>   mouse-wheel-mode: t
>   tool-bar-mode: t
>   menu-bar-mode: t
>   file-name-shadow-mode: t
>   global-font-lock-mode: t
>   font-lock-mode: t
>   blink-cursor-mode: t
>   auto-composition-mode: t
>   auto-encryption-mode: t
>   auto-compression-mode: t
>   buffer-read-only: t
>   line-number-mode: t
>   transient-mark-mode: t
>
> Recent messages:
> For information about GNU Emacs and the GNU system, type C-h C-a.
> Debug on Error enabled globally
> Importing package-keyring.gpg...done
> Setting ‘package-selected-packages’ temporarily since "emacs -q" would
> overwrite customizations
>
> Load-path shadows:
> /Users/erichanchrow/.emacs.d/elpa/helm-20160306.110/helm-multi-match hides
> /Users/erichanchrow/.emacs.d/elpa/helm-core-20160305.2327/helm-multi-match
> /Users/erichanchrow/.emacs.d/elpa/shorten-20150306.517/shorten hides
> /Users/erichanchrow/.emacs.d/elpa/tracking-20151129.319/shorten
>
> Features:
> (shadow sort mail-extr emacsbug message dired dired-loaddefs format-spec
> rfc822 mml mml-sec epa derived gnus-util rmail rmail-loaddefs mm-decode
> mm-bodies mm-encode mailabbrev gmm-utils mailheader sendmail mail-utils
> cus-edit wid-edit network-stream nsm starttls url-http tls gnutls
> mail-parse rfc2231 rfc2047 rfc2045 mm-util ietf-drums mail-prsvr url-gw
> puny seq url-cache url-auth url url-proxy url-privacy url-expand
> url-methods url-history url-cookie url-domsuf url-util mailcap epg
> finder-inf go-mode-autoloads info package epg-config url-handlers
> url-parse auth-source cl-seq eieio byte-opt bytecomp byte-compile
> cl-extra help-mode easymenu cconv eieio-core cl-macs gv eieio-loaddefs
> cl-loaddefs pcase cl-lib password-cache url-vars cus-start cus-load
> time-date mule-util tooltip eldoc electric uniquify ediff-hook vc-hooks
> lisp-float-type mwheel term/ns-win ns-win ucs-normalize term/common-win
> tool-bar dnd fontset image regexp-opt fringe tabulated-list newcomment
> elisp-mode lisp-mode prog-mode register page menu-bar rfn-eshadow timer
> select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
> term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
> vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
> hebrew greek romanian slovak czech european ethiopic indian cyrillic
> chinese charscript case-table epa-hook jka-cmpr-hook help simple abbrev
> obarray minibuffer cl-preloaded nadvice loaddefs button faces cus-face
> macroexp files text-properties overlay sha1 md5 base64 format env
> code-pages mule custom widget hashtable-print-readable backquote kqueue
> cocoa ns multi-tty make-network-process emacs)
>
> Memory information:
> ((conses 16 328881 7499)
>  (symbols 48 33953 0)
>  (miscs 40 61 175)
>  (strings 32 51560 10192)
>  (string-bytes 1 1213646)
>  (vectors 16 39105)
>  (vector-slots 8 713983 4934)
>  (floats 8 236 111)
>  (intervals 56 7211 386)
>  (buffers 976 16))
>
>